=== debian/changelog ===
golang-step-crypto (0.8.0-2) unstable; urgency=medium

  * Team Upload.
  * Move to unstable post release.
  * Add patches to fix tests
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 00:56:58 +0530

golang-step-crypto (0.8.0-1) experimental; urgency=medium

  * Initial release (Closes: #991038)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 13 Jul 2021 18:47:11 +0200
