=== debian/control ===
Source: golang-step-crypto
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-crypto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-crypto.git
Homepage: https://github.com/smallstep/crypto
Rules-Requires-Root: no
XS-Go-Import-Path: go.step.sm/crypto

Package: golang-step-crypto-dev
Architecture: all
Depends: golang-github-pkg-errors-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-square-go-jose.v2-dev,
         golang-github-masterminds-sprig-dev,
         ${misc:Depends}
Description: common code between step-cli and step-ca (go libraries)
 This package provides a collection of go packages used in smallstep
 (https://smallstep.com) products:
 .
  - x509util implements utilities to build X.509 certificates based on JSON
    templates.
  - sshutil implements utilities to build SSH certificates based on JSON
    templates.
  - keyutil implements utilities to generate cryptographic keys.
  - pemutil implements utilities to parse keys and certificates and includes a
    method to serialize keys, X.509 certificates and certific
  - randutil provides methods to generate random strings and salts.
  - tlsutil provides utilities to configure tls clients and servers.
  - jose is a wrapper for gopkg.in/square/go-jose.v2 and implements utilities
    to parse and generate JWT, JWK and JWKSets.
 .
 Documentation: https://pkg.go.dev/mod/go.step.sm/crypto
