## golang-step-crypto 0.17.3

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,19 @@
 # Set V to 1 for verbose output from the Makefile
 Q=$(if $V,,@)
+SRC=$(shell find . -type f -name '*.go' -not -path "./vendor/*")
 
 all: lint test
 
-.PHONY: all
+ci: test
+
+.PHONY: all ci
 
 #########################################
 # Bootstrapping
 #########################################
 
 bootstrap:
-	$Q GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.33.0
+	$Q go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
 
 .PHONY: bootstrap
 
@@ -31,10 +34,18 @@
 #########################################
 
 fmt:
-	$Q gofmt -l -w $(SRC)
+	$Q gofmt -s -l -w $(SRC)
 
 lint:
 	$Q LOG_LEVEL=error golangci-lint run --timeout=30m
 
 .PHONY: lint fmt
 
+#########################################
+# Go generate
+#########################################
+
+generate:
+	$Q go generate ./...
+
+.PHONY: generate
