=== debian/changelog ===
golang-step-crypto (0.17.3-2) unstable; urgency=medium

  * Source only upload (0.17.3-1 accidentally included amd changes)

 -- Peymaneh <peymaneh@posteo.net>  Mon, 12 Dec 2022 22:56:05 +0100

golang-step-crypto (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3
  * d/copyright: Update year
  * d/rules: Drop kms package
  * d/patches: Drop obsolete patches
  * d/patches: No forwarding needed
  * d/control: Fix dependencies

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 14:05:36 +0100

golang-step-crypto (0.8.0-3) unstable; urgency=medium

  * Updating maintainer info
  * Bump standards version
  * Fix lintian overrides

 -- Peymaneh <peymaneh@posteo.net>  Sun, 20 Nov 2022 16:35:05 +0100
