=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: golang-step-crypto
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
+Uploaders: Peymaneh <peymaneh@posteo.net>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-filippo-edwards25519-dev,
                golang-github-pkg-errors-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-square-go-jose.v2-dev,
                golang-github-masterminds-sprig-dev,
                golang-github-smallstep-assert-dev <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-crypto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-crypto.git
 Homepage: https://github.com/smallstep/crypto
@@ -22,7 +23,8 @@
 
 Package: golang-step-crypto-dev
 Architecture: all
-Depends: golang-github-pkg-errors-dev,
+Depends: golang-filippo-edwards25519-dev,
+         golang-github-pkg-errors-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-square-go-jose.v2-dev,
