=== debian/changelog ===
golang-step-crypto (0.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.24.0
  * Add golang-github-stretchr-testify-dev to Build-Depends
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Feb 2023 15:35:01 +0800
